﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ModuleCarto.ascx.cs" Inherits="Geosys.Prototypes.MapSuite.WebEdition.Pages.multipoint.ModuleCarto" %>

<script type="text/javascript">
    function editme() {
        Map1.SetDrawMode('Modify');
        var modifyControl = Map1.GetMapParser().paintControls["Modify"];
        var layer = Map1.GetMapParser().editOverlay;
        //Get the MultipointShape feature
        var feature = layer.features[0];
        var selectControl = modifyControl.selectControl.clickFeature(feature);

    }

    function deleteAllPoints() {
        Map1.ClearFeatures();
    }


    var OnMapCreated = function(map) {
        if (Map1.GetMapParser() != null && Map1.GetMapParser().paintControls != null) {
            var modifyControl = Map1.GetMapParser().paintControls["Modify"];
            var layer = Map1.GetMapParser().editOverlay;
            if (layer != null) {
                //The "select" is the style for Selected points. 
                layer.styleMap = new OpenLayers.StyleMap(
                {
                    'select': {
                        fillColor: "red",
                        fillOpacity: 0.4,
                        hoverFillColor: "white",
                        hoverFillOpacity: 0.8,
                        strokeColor: "blue",
                        strokeOpacity: 1,
                        strokeWidth: 2,
                        strokeLinecap: "round",
                        strokeDashstyle: "solid",
                        hoverStrokeColor: "red",
                        hoverStrokeOpacity: 1,
                        hoverStrokeWidth: 0.2,
                        pointRadius: 6,
                        hoverPointRadius: 1,
                        hoverPointUnit: "%",
                        pointerEvents: "visiblePainted",
                        cursor: "pointer"
                    }
                });

                layer.events.register("afterfeaturemodified", this, function(args) {
                    if (args.feature.geometry.CLASS_NAME == "OpenLayers.Geometry.MultiPoint") {
                        var layer = args.object;
                        for (var i in layer.features) {
                            var feature = layer.features[i];
                            if (feature.geometry.CLASS_NAME == "OpenLayers.Geometry.MultiPoint") {
                                layer.drawFeature(feature, "default");
                            }
                        }
                    }
                });
            }
        }
    }

      

    </script>
<asp:Button ID="btnCreateMultiPoints" runat="server" Text="CreateMultiPoints" OnClick="btnCreateMultiPoints_Clicked" />
        <asp:TextBox ID="txtDistance1" runat="server" />
        <asp:Button ID="btnDeletePoints" OnClientClick="deleteAllPoints();return false" Text="DeleteAllPoints" runat="server" />
        <asp:Button ID="btnEdit" OnClientClick="editme();return false;" Text="editMode" runat="server" />
        <ThinkGeo:Map ID="Map1" runat="server" Height="480px" Width="575px">
        </ThinkGeo:Map>
        
        
        